Skip to main content
PATCH
/
v1
/
competitor_prices
/
{entity_id}
Patch Competitor Price
curl --request PATCH \
  --url https://clientapi.retailgrid.io/v1/competitor_prices/{entity_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "product_id": "<string>",
  "promo_price": 123,
  "currency": "<string>",
  "source_url": "<string>",
  "competitor_sku": "<string>",
  "barcode": "<string>",
  "status": "<string>",
  "stock": 123,
  "competitor_name": "<string>",
  "observed_at": "2023-11-07T05:31:56Z",
  "regular_price": 123,
  "effective_price": 123
}
'
{
  "id": 123,
  "competitor_name": "<string>",
  "observed_at": "2023-11-07T05:31:56Z",
  "regular_price": "<string>",
  "effective_price": "<string>",
  "product_id": "<string>",
  "promo_price": "<string>",
  "currency": "<string>",
  "source_url": "<string>",
  "competitor_sku": "<string>",
  "barcode": "<string>",
  "status": "<string>",
  "stock": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Retailgrid API keys are prefixed with rg_live_. Pass them as Authorization: Bearer <key>.

Path Parameters

entity_id
integer
required

Body

application/json
product_id
string | null
promo_price
currency
string | null
source_url
string | null
competitor_sku
string | null
barcode
string | null
status
string | null
stock
competitor_name
string | null
observed_at
string<date-time> | null
regular_price
effective_price

Response

Successful Response

id
integer
required
competitor_name
string
required
observed_at
string<date-time>
required
regular_price
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
effective_price
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
product_id
string | null
promo_price
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
currency
string | null
source_url
string | null
competitor_sku
string | null
barcode
string | null
status
string | null
stock
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
created_at
string<date-time> | null
updated_at
string<date-time> | null